# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

# (akien) No soname upstream, using 1 for now like other SDK components.
# Without proper soname, the devel package would not generate the
# devel() provides that RPM relies on to pull in the proper deps
# in reverse dependencies.
%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define uname   Vulkan-ValidationLayers

Name:           vulkan-validation-layers
Version:        1.2.162.0
Release:        %mkrel 1
Summary:        Vulkan validation layers
Group:          System/Libraries
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-ValidationLayers
Source0:        https://github.com/KhronosGroup/Vulkan-ValidationLayers/archive/sdk-%{version}/%{uname}-sdk-%{version}.tar.gz
Patch0:         validation-layers-soversion.patch

BuildRequires:  cmake
BuildRequires:  glslang-devel
BuildRequires:  pkgconfig(SPIRV-Tools)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  python3

%description
This project provides the Khronos official Vulkan validation layers for
Windows, Linux, Android, and MacOS.

%package -n %{libname}
Summary:        Library files for %{name}
Group:          System/Libraries
# Renamed during mga7 development
Obsoletes:      %{_lib}vulkan-validation-layers < 1.1.92.0-2

%description -n %{libname}
Library files for Vulkan ValidationLayers.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       vulkan-headers

%description -n %{devname}
This package contains libraries and header files for developing
applications that use %{name}.

%prep
%autosetup -p1 -n %{uname}-sdk-%{version}

%build
%cmake \
    -DBUILD_LAYER_SUPPORT_FILES=ON \
    -DVKLAYERS_SOVERSION=%{major} \
    -DVKLAYERS_VERSION=%{version} \
    -DGLSLANG_INSTALL_DIR=%{_bindir} \
    -DSPIRV_HEADERS_INSTALL_DIR=%{_includedir}/spirv/
%cmake_build

%install
%cmake_install

# Only meant to be linked to the .so's at build time
rm -f %{buildroot}%{_libdir}/libVkLayer_utils.a
rm -f %{buildroot}%{_includedir}/vulkan/*.{c,cpp}

%files -n %{libname}
%doc README.md CONTRIBUTING.md
%license LICENSE.txt
%{_datadir}/vulkan/explicit_layer.d/VkLayer_*.json
%{_libdir}/libVkLayer_*.so.%{major}
%{_libdir}/libVkLayer_*.so.%{version}

%files -n %{devname}
%{_includedir}/vulkan/*.h
%{_libdir}/libVkLayer_*.so


%changelog
* Fri Jan 01 2021 akien <akien> 1.2.162.0-1.mga8
+ Revision: 1667605
- Version 1.2.162.0

* Mon Oct 12 2020 akien <akien> 1.2.154.0-1.mga8
+ Revision: 1633980
- SDK 1.2.154.0

* Mon Feb 17 2020 akien <akien> 1.2.131.2-1.mga8
+ Revision: 1536931
- SDK 1.2.131.2

* Sat Feb 15 2020 umeabot <umeabot> 1.1.121.0-2.mga8
+ Revision: 1525525
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
+ akien <akien>
- SDK 1.1.121.0

* Thu Apr 18 2019 akien <akien> 1.1.106.0-1.mga7
+ Revision: 1393162
- SDK 1.1.106.0

* Wed Mar 27 2019 akien <akien> 1.1.101.0-1.mga7
+ Revision: 1380688
- SDK 1.1.101.0

* Tue Dec 11 2018 akien <akien> 1.1.92.0-3.mga7
+ Revision: 1340236
- Rebuild to pick updated spirv-tools on armv7hl

* Tue Dec 11 2018 akien <akien> 1.1.92.0-2.mga7
+ Revision: 1340210
- Properly libify with defined soname (major 0 for now)

* Mon Dec 10 2018 akien <akien> 1.1.92.0-1.mga7
+ Revision: 1340078
- Adapt to Mageia
- Version 1.1.92.0
- import vulkan-validation-layers from Fedora Rawhide

